<template>
  <div class='cloud-advantage container'>
    <h2 class='base-title'>Why Open Exchange with TBCC Cloud?</h2>
    <div class='cloud-advantage__list'>
      <client-only>
        <Flickity id='news-carousel' ref="flickity" :key='sliderKey' :options="flickityOptions">
          <cloud-advantage-item v-for='(item, index) in items' :data='item' :key='index' class='cloud-advantage__item'/>
        </Flickity>
      </client-only>
    </div>
  </div>
</template>

<script>
import CloudAdvantageItem from './CloudAdvantageItem'
export default  {
  components: { CloudAdvantageItem },
  data() {
    return {
      items: [
        {
          img: 'manage',
          title: 'Effective to manage',
          text: 'The account of the owner of the exchange performs the functions of a payment aggregator and personal account, provides the possibility of automatic and manual control.'
        },
        {
          img: 'trade',
          title: 'Comfortable to trade',
          text: 'All the necessary trading tools have been implemented, high speed of transactions has been ensured, new functional solutions are being introduced, ongoing technical support is in place.'
        },
        {
          img: 'create',
          title: 'Convenient to create',
          text: 'Fast deployment in a period of 3 days, the required equipment for the deployment of the basic version includes only 2 servers. Ongoing technical support is in place.'
        },
        {
          img: 'manage',
          title: 'Effective to manage',
          text: 'The account of the owner of the exchange performs the functions of a payment aggregator and personal account, provides the possibility of automatic and manual control.'
        },
        {
          img: 'trade',
          title: 'Comfortable to trade',
          text: 'All the necessary trading tools have been implemented, high speed of transactions has been ensured, new functional solutions are being introduced, ongoing technical support is in place.'
        },
        {
          img: 'create',
          title: 'Convenient to create',
          text: 'Fast deployment in a period of 3 days, the required equipment for the deployment of the basic version includes only 2 servers. Ongoing technical support is in place.'
        },
      ],
      innerWidth: 0,
      sliderKey: 1,
    }
  },

  computed: {
    flickityOptions() {
      if( this.innerWidth > 767 && this.innerWidth < 1200) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 2,
          prevNextButtons: false
        }
      }
      if(this.innerWidth <= 767) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 1,
          prevNextButtons: false
        }
      }
      return {
        pageDots: true,
        wrapAround: false,
        groupCells: 3,
        prevNextButtons: false
      }
    }
  },

  watch: {
    flickityOptions() {
      this.sliderKey += 1
    }
  },

  mounted() {
      this.setWidth();
      window.addEventListener('resize', this.setWidth);
  },

  methods: {
    setWidth() {
      this.innerWidth = window.innerWidth
    }
  }
}
</script>

<style lang='scss' scoped>
.cloud-advantage {
  display: flex;
  align-items: center;
  flex-direction: column;

  &__list {
    width: 100%;
    max-width: 380px;

    @media (min-width: 768px) {
      max-width: 760px
    }

    @media (min-width: 1200px) {
      max-width: 100%;
    }
  }

  &__item {
    margin-right: 30px;
    width: calc((100% - 30px));
    max-width: 350px;

    @media (min-width: 768px) {
      width: calc((100% - 60px) / 2);
    }

    @media (min-width: 1200px) {
      width: calc((100% - 90px) / 3);
    }
  }
}

.base-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 45px;
  margin: 0 0 45px;
  max-width: 520px;
  text-align: center;
  position: relative;

  @media (min-width: 768px) {
    &::before {
      content: "";
      position: absolute;
      width: 601px;
      height: 459px;
      top: -123px;
      left: -341px;
      background-image: url("../../assets/img/hub/bg-start-advantage.svg");
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }
  }

  @media (min-width: 1024px) {
    font-size: 45px;
    line-height: 59px;
    margin: 0 0 60px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

</style>
